Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2012-06-11
Initial Package Version: 1.0.25
Upstream Status:         Unknown
Origin:                  Archlinux
Description:             Fixes building against FFMpeg 0.11.1.

--- alsa-plugins.orig/a52/pcm_a52.c	2012-01-25 08:57:07.000000000 +0100
+++ alsa-plugins/a52/pcm_a52.c	2012-06-11 19:37:16.703490336 +0200
@@ -441,7 +441,21 @@
 #else
   rec->avctx->sample_fmt = SAMPLE_FMT_S16;
 #endif
-#if LIBAVCODEC_VERSION_MAJOR > 52 || (LIBAVCODEC_VERSION_MAJOR == 52 && LIBAVCODEC_VERSION_MINOR >= 3)
+#if (LIBAVCODEC_VERSION_MAJOR >= 54)
+	switch (io->channels) {
+	case 2:
+		rec->avctx->channel_layout = AV_CH_LAYOUT_STEREO;
+		break;
+	case 4:
+		rec->avctx->channel_layout = AV_CH_LAYOUT_QUAD;
+		break;
+	case 6:
+		rec->avctx->channel_layout = AV_CH_LAYOUT_5POINT1;
+		break;
+	default:
+		break;
+	}
+#elif (LIBAVCODEC_VERSION_MAJOR > 52 && LIBAVCODEC_VERSION_MAJOR < 54) || (LIBAVCODEC_VERSION_MAJOR == 52 && LIBAVCODEC_VERSION_MINOR >= 3)
 	switch (io->channels) {
 	case 2:
 		rec->avctx->channel_layout = CH_LAYOUT_STEREO;
@@ -702,7 +716,6 @@
 	rec->channels = channels;
 	rec->format = format;
 
-	avcodec_init();
 	avcodec_register_all();
 
 	rec->codec = avcodec_find_encoder_by_name("ac3_fixed");
